curl "https://api.ionq.co/v0.4/jobs/617a1f8b-59d4-435d-aa33-695433d7155e" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/{UUID}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/{UUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e1a09d90-b2ba-4ea5-9fd7-4bfc14eac524",
"status": "completed",
"type": "ionq.circuit.v1",
"backend": "qpu.forte-1",
"dry_run": false,
"submitter_id": "64b03577072d45001c85e9c4",
"project_id": "1333d459-cf47-4a5e-acc1-8d4eb4f7b025",
"parent_job_id": null,
"child_job_ids": null,
"session_id": null,
"metadata": null,
"name": "Bell state",
"submitted_at": "2026-06-11T20:47:05.440Z",
"started_at": "2026-06-11T20:47:10.000Z",
"completed_at": "2026-06-11T20:47:15.000Z",
"predicted_execution_duration_ms": null,
"predicted_wait_time_ms": null,
"execution_duration_ms": 4200,
"shots": 1000,
"failure": null,
"settings": {
"error_mitigation": {
"debiasing": true
}
},
"stats": {
"qubits": 2,
"circuits": 1,
"gate_counts": {
"1q": 4,
"2q": 1
}
},
"output": {
"compilation": {},
"error_mitigation": {
"debiasing": {
"variants": [
{
"variant_id": "069ce8f8-f437-7d75-8000-9f5f8c3d7897",
"qubit_map": [
4,
12,
7
],
"shots": 120,
"results": {
"ionq.result.probabilities.json.v2": {
"id": "06b27432-cdde-7a0f-8000-1b9e2d6a4f01",
"format": "ionq.result.probabilities.json.v2",
"media_type": "application/json"
},
"ionq.result.histogram.json.v2": {
"id": "06b27432-cde0-78a7-8000-9c4f3b1d8e02",
"format": "ionq.result.histogram.json.v2",
"media_type": "application/json"
},
"ionq.result.shots.json.v2": {
"id": "06b27432-cde2-7c11-8000-7a6e5d2c9f03",
"format": "ionq.result.shots.json.v2",
"media_type": "application/json"
}
}
}
]
}
}
},
"results": {
"ionq.result.probabilities.json.v2": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"format": "ionq.result.probabilities.json.v2",
"media_type": "application/json"
}
}
}Get job
Retrieve detailed information about a specific job.
curl "https://api.ionq.co/v0.4/jobs/617a1f8b-59d4-435d-aa33-695433d7155e" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/{UUID}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/{UUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e1a09d90-b2ba-4ea5-9fd7-4bfc14eac524",
"status": "completed",
"type": "ionq.circuit.v1",
"backend": "qpu.forte-1",
"dry_run": false,
"submitter_id": "64b03577072d45001c85e9c4",
"project_id": "1333d459-cf47-4a5e-acc1-8d4eb4f7b025",
"parent_job_id": null,
"child_job_ids": null,
"session_id": null,
"metadata": null,
"name": "Bell state",
"submitted_at": "2026-06-11T20:47:05.440Z",
"started_at": "2026-06-11T20:47:10.000Z",
"completed_at": "2026-06-11T20:47:15.000Z",
"predicted_execution_duration_ms": null,
"predicted_wait_time_ms": null,
"execution_duration_ms": 4200,
"shots": 1000,
"failure": null,
"settings": {
"error_mitigation": {
"debiasing": true
}
},
"stats": {
"qubits": 2,
"circuits": 1,
"gate_counts": {
"1q": 4,
"2q": 1
}
},
"output": {
"compilation": {},
"error_mitigation": {
"debiasing": {
"variants": [
{
"variant_id": "069ce8f8-f437-7d75-8000-9f5f8c3d7897",
"qubit_map": [
4,
12,
7
],
"shots": 120,
"results": {
"ionq.result.probabilities.json.v2": {
"id": "06b27432-cdde-7a0f-8000-1b9e2d6a4f01",
"format": "ionq.result.probabilities.json.v2",
"media_type": "application/json"
},
"ionq.result.histogram.json.v2": {
"id": "06b27432-cde0-78a7-8000-9c4f3b1d8e02",
"format": "ionq.result.histogram.json.v2",
"media_type": "application/json"
},
"ionq.result.shots.json.v2": {
"id": "06b27432-cde2-7c11-8000-7a6e5d2c9f03",
"format": "ionq.result.shots.json.v2",
"media_type": "application/json"
}
}
}
]
}
}
},
"results": {
"ionq.result.probabilities.json.v2": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"format": "ionq.result.probabilities.json.v2",
"media_type": "application/json"
}
}
}Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Path Parameters
The UUID of the job — this UUID is provided in the response on job creation.
Response
Successfully retrieved a job.
- Single Circuit
- Multi Circuit
- QAOA Function
- Quantum Function
Discriminated union over the four job-type families. Tabs in the docs are
grouped by these families (matching the JobCreationPayload grouping on the
Create Job endpoint).
submitted, ready, started, canceled, failed, completed ionq.circuit.v1, ionq.qasm3.v1, ionq.qir.v1, qctrl.qaoa-circuit.v1 The id of the user who submitted the job.
Show child attributes
Show child attributes
How long the job actually took to run on the QPU. Null if the job hasn't run yet.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Job-type-specific execution statistics. The concrete shape is determined by the job type (see the per-job-type tabs above).
Show child attributes
Show child attributes
Result artifacts produced by the circuit, keyed by format identifier. Each entry is an ArtifactDescriptor — pass its id to the artifact endpoint to download the payload. See Results formats for the catalog of valid identifiers and their payload schemas.
Show child attributes
Show child attributes
shots are not included with ideal simulator backend.
Only present in the response when backend is simulator.
Show child attributes
Show child attributes
The billing model used for this job.
QCT, 2QGE_operations Was this page helpful?

